## org.eclipse.datatools.modelbase.sql.xml.query.util
Class SQLXMLQueryModelSwitch

    java.lang.Object
      org.eclipse.datatools.modelbase.sql.xml.query.util.SQLXMLQueryModelSwitch

    public class SQLXMLQueryModelSwitch

extends java.lang.Object

The Switch for the model's inheritance hierarchy. It supports the call `doSwitch(object)` to invoke the `caseXXX` method for each class of the model, starting with the actual class of the object and proceeding up the inheritance hierarchy until a non-null result is returned, which is the result of the switch.

See Also:
  `SQLXMLQueryModelPackage`

Constructor Summary
`SQLXMLQueryModelSwitch()` Creates an instance of the switch.

Method Summary
`java.lang.Object` `caseEModelElement(EModelElement object)` Returns the result of interpretting the object as an instance of 'EModel Element'.
`java.lang.Object` `caseENamedElement(ENamedElement object)` Returns the result of interpretting the object as an instance of 'ENamed Element'.
`java.lang.Object` `casePredicate(Predicate object)` Returns the result of interpretting the object as an instance of 'Predicate'.
`java.lang.Object` `caseQuerySearchCondition(QuerySearchCondition object)` Returns the result of interpretting the object as an instance of 'Query Search Condition'.
`java.lang.Object` `caseQueryValueExpression(QueryValueExpression object)` Returns the result of interpretting the object as an instance of 'Query Value Expression'.
`java.lang.Object` `caseSearchCondition(SearchCondition object)` Returns the result of interpretting the object as an instance of 'Search Condition'.
`java.lang.Object` `caseSQLObject(SQLObject object)` Returns the result of interpretting the object as an instance of 'SQL Object'.
`java.lang.Object` `caseSQLQueryObject(SQLQueryObject object)` Returns the result of interpretting the object as an instance of 'SQL Query Object'.
`java.lang.Object` `caseTableExpression(TableExpression object)` Returns the result of interpretting the object as an instance of 'Table Expression'.
`java.lang.Object` `caseTableFunction(TableFunction object)` Returns the result of interpretting the object as an instance of 'Table Function'.
`java.lang.Object` `caseTableReference(TableReference object)` Returns the result of interpretting the object as an instance of 'Table Reference'.
`java.lang.Object` `caseValueExpression(ValueExpression object)` Returns the result of interpretting the object as an instance of 'Value Expression'.
`java.lang.Object` `caseValueExpressionAtomic(ValueExpressionAtomic object)` Returns the result of interpretting the object as an instance of 'Value Expression Atomic'.
`java.lang.Object` `caseValueExpressionCast(ValueExpressionCast object)` Returns the result of interpretting the object as an instance of 'Value Expression Cast'.
`java.lang.Object` `caseValueExpressionFunction(ValueExpressionFunction object)` Returns the result of interpretting the object as an instance of 'Value Expression Function'.
`java.lang.Object` `caseXMLAggregateFunction(XMLAggregateFunction object)` Returns the result of interpretting the object as an instance of 'XML Aggregate Function'.
`java.lang.Object` `caseXMLAggregateSortSpecification(XMLAggregateSortSpecification object)` Returns the result of interpretting the object as an instance of 'XML Aggregate Sort Specification'.
`java.lang.Object` `caseXMLAttributeDeclarationItem(XMLAttributeDeclarationItem object)` Returns the result of interpretting the object as an instance of 'XML Attribute Declaration Item'.
`java.lang.Object` `caseXMLAttributesDeclaration(XMLAttributesDeclaration object)` Returns the result of interpretting the object as an instance of 'XML Attributes Declaration'.
`java.lang.Object` `caseXMLNamespaceDeclarationDefault(XMLNamespaceDeclarationDefault object)` Returns the result of interpretting the object as an instance of 'XML Namespace Declaration Default'.
`java.lang.Object` `caseXMLNamespaceDeclarationItem(XMLNamespaceDeclarationItem object)` Returns the result of interpretting the object as an instance of 'XML Namespace Declaration Item'.
`java.lang.Object` `caseXMLNamespaceDeclarationPrefix(XMLNamespaceDeclarationPrefix object)` Returns the result of interpretting the object as an instance of 'XML Namespace Declaration Prefix'.
`java.lang.Object` `caseXMLNamespacesDeclaration(XMLNamespacesDeclaration object)` Returns the result of interpretting the object as an instance of 'XML Namespaces Declaration'.
`java.lang.Object` `caseXMLPredicate(XMLPredicate object)` Returns the result of interpretting the object as an instance of 'XML Predicate'.
`java.lang.Object` `caseXMLPredicateContent(XMLPredicateContent object)` Returns the result of interpretting the object as an instance of 'XML Predicate Content'.
`java.lang.Object` `caseXMLPredicateDocument(XMLPredicateDocument object)` Returns the result of interpretting the object as an instance of 'XML Predicate Document'.
`java.lang.Object` `caseXMLPredicateExists(XMLPredicateExists object)` Returns the result of interpretting the object as an instance of 'XML Predicate Exists'.
`java.lang.Object` `caseXMLPredicateValid(XMLPredicateValid object)` Returns the result of interpretting the object as an instance of 'XML Predicate Valid'.
`java.lang.Object` `caseXMLQueryArgumentItem(XMLQueryArgumentItem object)` Returns the result of interpretting the object as an instance of 'XML Query Argument Item'.
`java.lang.Object` `caseXMLQueryArgumentList(XMLQueryArgumentList object)` Returns the result of interpretting the object as an instance of 'XML Query Argument List'.
`java.lang.Object` `caseXMLQueryExpression(XMLQueryExpression object)` Returns the result of interpretting the object as an instance of 'XML Query Expression'.
`java.lang.Object` `caseXMLSerializeFunction(XMLSerializeFunction object)` Returns the result of interpretting the object as an instance of 'XML Serialize Function'.
`java.lang.Object` `caseXMLSerializeFunctionEncoding(XMLSerializeFunctionEncoding object)` Returns the result of interpretting the object as an instance of 'XML Serialize Function Encoding'.
`java.lang.Object` `caseXMLSerializeFunctionTarget(XMLSerializeFunctionTarget object)` Returns the result of interpretting the object as an instance of 'XML Serialize Function Target'.
`java.lang.Object` `caseXMLTableColumnDefinitionDefault(XMLTableColumnDefinitionDefault object)` Returns the result of interpretting the object as an instance of 'XML Table Column Definition Default'.
`java.lang.Object` `caseXMLTableColumnDefinitionItem(XMLTableColumnDefinitionItem object)` Returns the result of interpretting the object as an instance of 'XML Table Column Definition Item'.
`java.lang.Object` `caseXMLTableColumnDefinitionOrdinality(XMLTableColumnDefinitionOrdinality object)` Returns the result of interpretting the object as an instance of 'XML Table Column Definition Ordinality'.
`java.lang.Object` `caseXMLTableColumnDefinitionRegular(XMLTableColumnDefinitionRegular object)` Returns the result of interpretting the object as an instance of 'XML Table Column Definition Regular'.
`java.lang.Object` `caseXMLTableFunction(XMLTableFunction object)` Returns the result of interpretting the object as an instance of 'XML Table Function'.
`java.lang.Object` `caseXMLValueExpressionCast(XMLValueExpressionCast object)` Returns the result of interpretting the object as an instance of 'XML Value Expression Cast'.
`java.lang.Object` `caseXMLValueFunction(XMLValueFunction object)` Returns the result of interpretting the object as an instance of 'XML Value Function'.
`java.lang.Object` `caseXMLValueFunctionComment(XMLValueFunctionComment object)` Returns the result of interpretting the object as an instance of 'XML Value Function Comment'.
`java.lang.Object` `caseXMLValueFunctionCommentContent(XMLValueFunctionCommentContent object)` Returns the result of interpretting the object as an instance of 'XML Value Function Comment Content'.
`java.lang.Object` `caseXMLValueFunctionConcat(XMLValueFunctionConcat object)` Returns the result of interpretting the object as an instance of 'XML Value Function Concat'.
`java.lang.Object` `caseXMLValueFunctionConcatContentItem(XMLValueFunctionConcatContentItem object)` Returns the result of interpretting the object as an instance of 'XML Value Function Concat Content Item'.
`java.lang.Object` `caseXMLValueFunctionDocument(XMLValueFunctionDocument object)` Returns the result of interpretting the object as an instance of 'XML Value Function Document'.
`java.lang.Object` `caseXMLValueFunctionDocumentContent(XMLValueFunctionDocumentContent object)` Returns the result of interpretting the object as an instance of 'XML Value Function Document Content'.
`java.lang.Object` `caseXMLValueFunctionElement(XMLValueFunctionElement object)` Returns the result of interpretting the object as an instance of 'XML Value Function Element'.
`java.lang.Object` `caseXMLValueFunctionElementContentItem(XMLValueFunctionElementContentItem object)` Returns the result of interpretting the object as an instance of 'XML Value Function Element Content Item'.
`java.lang.Object` `caseXMLValueFunctionElementContentList(XMLValueFunctionElementContentList object)` Returns the result of interpretting the object as an instance of 'XML Value Function Element Content List'.
`java.lang.Object` `caseXMLValueFunctionForest(XMLValueFunctionForest object)` Returns the result of interpretting the object as an instance of 'XML Value Function Forest'.
`java.lang.Object` `caseXMLValueFunctionForestContentItem(XMLValueFunctionForestContentItem object)` Returns the result of interpretting the object as an instance of 'XML Value Function Forest Content Item'.
`java.lang.Object` `caseXMLValueFunctionParse(XMLValueFunctionParse object)` Returns the result of interpretting the object as an instance of 'XML Value Function Parse'.
`java.lang.Object` `caseXMLValueFunctionParseContent(XMLValueFunctionParseContent object)` Returns the result of interpretting the object as an instance of 'XML Value Function Parse Content'.
`java.lang.Object` `caseXMLValueFunctionPI(XMLValueFunctionPI object)` Returns the result of interpretting the object as an instance of 'XML Value Function PI'.
`java.lang.Object` `caseXMLValueFunctionPIContent(XMLValueFunctionPIContent object)` Returns the result of interpretting the object as an instance of 'XML Value Function PI Content'.
`java.lang.Object` `caseXMLValueFunctionQuery(XMLValueFunctionQuery object)` Returns the result of interpretting the object as an instance of 'XML Value Function Query'.
`java.lang.Object` `caseXMLValueFunctionQueryReturning(XMLValueFunctionQueryReturning object)` Returns the result of interpretting the object as an instance of 'XML Value Function Query Returning'.
`java.lang.Object` `caseXMLValueFunctionText(XMLValueFunctionText object)` Returns the result of interpretting the object as an instance of 'XML Value Function Text'.
`java.lang.Object` `caseXMLValueFunctionTextContent(XMLValueFunctionTextContent object)` Returns the result of interpretting the object as an instance of 'XML Value Function Text Content'.
`java.lang.Object` `caseXMLValueFunctionValidate(XMLValueFunctionValidate object)` Returns the result of interpretting the object as an instance of 'XML Value Function Validate'.
`java.lang.Object` `caseXMLValueFunctionValidateAccordingTo(XMLValueFunctionValidateAccordingTo object)` Returns the result of interpretting the object as an instance of 'XML Value Function Validate According To'.
`java.lang.Object` `caseXMLValueFunctionValidateAccordingToIdentifier(XMLValueFunctionValidateAccordingToIdentifier object)` Returns the result of interpretting the object as an instance of 'XML Value Function Validate According To Identifier'.
`java.lang.Object` `caseXMLValueFunctionValidateAccordingToURI(XMLValueFunctionValidateAccordingToURI object)` Returns the result of interpretting the object as an instance of 'XML Value Function Validate According To URI'.
`java.lang.Object` `caseXMLValueFunctionValidateContent(XMLValueFunctionValidateContent object)` Returns the result of interpretting the object as an instance of 'XML Value Function Validate Content'.
`java.lang.Object` `caseXMLValueFunctionValidateElement(XMLValueFunctionValidateElement object)` Returns the result of interpretting the object as an instance of 'XML Value Function Validate Element'.
`java.lang.Object` `caseXMLValueFunctionValidateElementName(XMLValueFunctionValidateElementName object)` Returns the result of interpretting the object as an instance of 'XML Value Function Validate Element Name'.
`java.lang.Object` `caseXMLValueFunctionValidateElementNamespace(XMLValueFunctionValidateElementNamespace object)` Returns the result of interpretting the object as an instance of 'XML Value Function Validate Element Namespace'.
`java.lang.Object` `defaultCase(EObject object)` Returns the result of interpretting the object as an instance of 'EObject'.
`java.lang.Object` `doSwitch(EObject theEObject)` Calls `caseXXX` for each class of the model until one returns a non null result; it yields that result.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SQLXMLQueryModelSwitch

    public SQLXMLQueryModelSwitch()

  Creates an instance of the switch.

Method Detail

### doSwitch

    public java.lang.Object doSwitch(EObject theEObject)

  Calls `caseXXX` for each class of the model until one returns a non null result; it yields that result.

  Returns:
    the first non-null result returned by a `caseXXX` call.

### caseXMLValueFunctionConcat

    public java.lang.Object caseXMLValueFunctionConcat(XMLValueFunctionConcat object)

  Returns the result of interpretting the object as an instance of 'XML Value Function Concat'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'XML Value Function Concat'.
  See Also:
    `doSwitch(EObject)`

### caseXMLValueFunction

    public java.lang.Object caseXMLValueFunction(XMLValueFunction object)

  Returns the result of interpretting the object as an instance of 'XML Value Function'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'XML Value Function'.
  See Also:
    `doSwitch(EObject)`

### caseXMLNamespaceDeclarationPrefix

    public java.lang.Object caseXMLNamespaceDeclarationPrefix(XMLNamespaceDeclarationPrefix object)

  Returns the result of interpretting the object as an instance of 'XML Namespace Declaration Prefix'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'XML Namespace Declaration Prefix'.
  See Also:
    `doSwitch(EObject)`

### caseXMLNamespaceDeclarationDefault

    public java.lang.Object caseXMLNamespaceDeclarationDefault(XMLNamespaceDeclarationDefault object)

  Returns the result of interpretting the object as an instance of 'XML Namespace Declaration Default'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'XML Namespace Declaration Default'.
  See Also:
    `doSwitch(EObject)`

### caseXMLAttributeDeclarationItem

    public java.lang.Object caseXMLAttributeDeclarationItem(XMLAttributeDeclarationItem object)

  Returns the result of interpretting the object as an instance of 'XML Attribute Declaration Item'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'XML Attribute Declaration Item'.
  See Also:
    `doSwitch(EObject)`

### caseXMLValueFunctionElement

    public java.lang.Object caseXMLValueFunctionElement(XMLValueFunctionElement object)

  Returns the result of interpretting the object as an instance of 'XML Value Function Element'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'XML Value Function Element'.
  See Also:
    `doSwitch(EObject)`

### caseXMLNamespaceDeclarationItem

    public java.lang.Object caseXMLNamespaceDeclarationItem(XMLNamespaceDeclarationItem object)

  Returns the result of interpretting the object as an instance of 'XML Namespace Declaration Item'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'XML Namespace Declaration Item'.
  See Also:
    `doSwitch(EObject)`

### caseXMLValueFunctionElementContentItem

    public java.lang.Object caseXMLValueFunctionElementContentItem(XMLValueFunctionElementContentItem object)

  Returns the result of interpretting the object as an instance of 'XML Value Function Element Content Item'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'XML Value Function Element Content Item'.
  See Also:
    `doSwitch(EObject)`

### caseXMLValueFunctionForest

    public java.lang.Object caseXMLValueFunctionForest(XMLValueFunctionForest object)

  Returns the result of interpretting the object as an instance of 'XML Value Function Forest'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'XML Value Function Forest'.
  See Also:
    `doSwitch(EObject)`

### caseXMLValueFunctionComment

    public java.lang.Object caseXMLValueFunctionComment(XMLValueFunctionComment object)

  Returns the result of interpretting the object as an instance of 'XML Value Function Comment'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'XML Value Function Comment'.
  See Also:
    `doSwitch(EObject)`

### caseXMLValueFunctionDocument

    public java.lang.Object caseXMLValueFunctionDocument(XMLValueFunctionDocument object)

  Returns the result of interpretting the object as an instance of 'XML Value Function Document'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'XML Value Function Document'.
  See Also:
    `doSwitch(EObject)`

### caseXMLValueFunctionParse

    public java.lang.Object caseXMLValueFunctionParse(XMLValueFunctionParse object)

  Returns the result of interpretting the object as an instance of 'XML Value Function Parse'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'XML Value Function Parse'.
  See Also:
    `doSwitch(EObject)`

### caseXMLValueFunctionPI

    public java.lang.Object caseXMLValueFunctionPI(XMLValueFunctionPI object)

  Returns the result of interpretting the object as an instance of 'XML Value Function PI'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'XML Value Function PI'.
  See Also:
    `doSwitch(EObject)`

### caseXMLValueFunctionQuery

    public java.lang.Object caseXMLValueFunctionQuery(XMLValueFunctionQuery object)

  Returns the result of interpretting the object as an instance of 'XML Value Function Query'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'XML Value Function Query'.
  See Also:
    `doSwitch(EObject)`

### caseXMLValueFunctionText

    public java.lang.Object caseXMLValueFunctionText(XMLValueFunctionText object)

  Returns the result of interpretting the object as an instance of 'XML Value Function Text'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'XML Value Function Text'.
  See Also:
    `doSwitch(EObject)`

### caseXMLValueFunctionValidate

    public java.lang.Object caseXMLValueFunctionValidate(XMLValueFunctionValidate object)

  Returns the result of interpretting the object as an instance of 'XML Value Function Validate'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'XML Value Function Validate'.
  See Also:
    `doSwitch(EObject)`

### caseXMLValueExpressionCast

    public java.lang.Object caseXMLValueExpressionCast(XMLValueExpressionCast object)

  Returns the result of interpretting the object as an instance of 'XML Value Expression Cast'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'XML Value Expression Cast'.
  See Also:
    `doSwitch(EObject)`

### caseXMLPredicate

    public java.lang.Object caseXMLPredicate(XMLPredicate object)

  Returns the result of interpretting the object as an instance of 'XML Predicate'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'XML Predicate'.
  See Also:
    `doSwitch(EObject)`

### caseXMLPredicateContent

    public java.lang.Object caseXMLPredicateContent(XMLPredicateContent object)

  Returns the result of interpretting the object as an instance of 'XML Predicate Content'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'XML Predicate Content'.
  See Also:
    `doSwitch(EObject)`

### caseXMLPredicateDocument

    public java.lang.Object caseXMLPredicateDocument(XMLPredicateDocument object)

  Returns the result of interpretting the object as an instance of 'XML Predicate Document'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'XML Predicate Document'.
  See Also:
    `doSwitch(EObject)`

### caseXMLPredicateExists

    public java.lang.Object caseXMLPredicateExists(XMLPredicateExists object)

  Returns the result of interpretting the object as an instance of 'XML Predicate Exists'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'XML Predicate Exists'.
  See Also:
    `doSwitch(EObject)`

### caseXMLPredicateValid

    public java.lang.Object caseXMLPredicateValid(XMLPredicateValid object)

  Returns the result of interpretting the object as an instance of 'XML Predicate Valid'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'XML Predicate Valid'.
  See Also:
    `doSwitch(EObject)`

### caseXMLQueryExpression

    public java.lang.Object caseXMLQueryExpression(XMLQueryExpression object)

  Returns the result of interpretting the object as an instance of 'XML Query Expression'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'XML Query Expression'.
  See Also:
    `doSwitch(EObject)`

### caseXMLQueryArgumentList

    public java.lang.Object caseXMLQueryArgumentList(XMLQueryArgumentList object)

  Returns the result of interpretting the object as an instance of 'XML Query Argument List'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'XML Query Argument List'.
  See Also:
    `doSwitch(EObject)`

### caseXMLQueryArgumentItem

    public java.lang.Object caseXMLQueryArgumentItem(XMLQueryArgumentItem object)

  Returns the result of interpretting the object as an instance of 'XML Query Argument Item'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'XML Query Argument Item'.
  See Also:
    `doSwitch(EObject)`

### caseXMLSerializeFunction

    public java.lang.Object caseXMLSerializeFunction(XMLSerializeFunction object)

  Returns the result of interpretting the object as an instance of 'XML Serialize Function'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'XML Serialize Function'.
  See Also:
    `doSwitch(EObject)`

### caseXMLSerializeFunctionTarget

    public java.lang.Object caseXMLSerializeFunctionTarget(XMLSerializeFunctionTarget object)

  Returns the result of interpretting the object as an instance of 'XML Serialize Function Target'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'XML Serialize Function Target'.
  See Also:
    `doSwitch(EObject)`

### caseXMLAggregateFunction

    public java.lang.Object caseXMLAggregateFunction(XMLAggregateFunction object)

  Returns the result of interpretting the object as an instance of 'XML Aggregate Function'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'XML Aggregate Function'.
  See Also:
    `doSwitch(EObject)`

### caseXMLValueFunctionConcatContentItem

    public java.lang.Object caseXMLValueFunctionConcatContentItem(XMLValueFunctionConcatContentItem object)

  Returns the result of interpretting the object as an instance of 'XML Value Function Concat Content Item'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'XML Value Function Concat Content Item'.
  See Also:
    `doSwitch(EObject)`

### caseXMLValueFunctionCommentContent

    public java.lang.Object caseXMLValueFunctionCommentContent(XMLValueFunctionCommentContent object)

  Returns the result of interpretting the object as an instance of 'XML Value Function Comment Content'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'XML Value Function Comment Content'.
  See Also:
    `doSwitch(EObject)`

### caseXMLValueFunctionDocumentContent

    public java.lang.Object caseXMLValueFunctionDocumentContent(XMLValueFunctionDocumentContent object)

  Returns the result of interpretting the object as an instance of 'XML Value Function Document Content'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'XML Value Function Document Content'.
  See Also:
    `doSwitch(EObject)`

### caseXMLAggregateSortSpecification

    public java.lang.Object caseXMLAggregateSortSpecification(XMLAggregateSortSpecification object)

  Returns the result of interpretting the object as an instance of 'XML Aggregate Sort Specification'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'XML Aggregate Sort Specification'.
  See Also:
    `doSwitch(EObject)`

### caseXMLValueFunctionForestContentItem

    public java.lang.Object caseXMLValueFunctionForestContentItem(XMLValueFunctionForestContentItem object)

  Returns the result of interpretting the object as an instance of 'XML Value Function Forest Content Item'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'XML Value Function Forest Content Item'.
  See Also:
    `doSwitch(EObject)`

### caseXMLValueFunctionParseContent

    public java.lang.Object caseXMLValueFunctionParseContent(XMLValueFunctionParseContent object)

  Returns the result of interpretting the object as an instance of 'XML Value Function Parse Content'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'XML Value Function Parse Content'.
  See Also:
    `doSwitch(EObject)`

### caseXMLValueFunctionPIContent

    public java.lang.Object caseXMLValueFunctionPIContent(XMLValueFunctionPIContent object)

  Returns the result of interpretting the object as an instance of 'XML Value Function PI Content'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'XML Value Function PI Content'.
  See Also:
    `doSwitch(EObject)`

### caseXMLTableFunction

    public java.lang.Object caseXMLTableFunction(XMLTableFunction object)

  Returns the result of interpretting the object as an instance of 'XML Table Function'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'XML Table Function'.
  See Also:
    `doSwitch(EObject)`

### caseXMLValueFunctionTextContent

    public java.lang.Object caseXMLValueFunctionTextContent(XMLValueFunctionTextContent object)

  Returns the result of interpretting the object as an instance of 'XML Value Function Text Content'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'XML Value Function Text Content'.
  See Also:
    `doSwitch(EObject)`

### caseXMLValueFunctionValidateContent

    public java.lang.Object caseXMLValueFunctionValidateContent(XMLValueFunctionValidateContent object)

  Returns the result of interpretting the object as an instance of 'XML Value Function Validate Content'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'XML Value Function Validate Content'.
  See Also:
    `doSwitch(EObject)`

### caseXMLTableColumnDefinitionItem

    public java.lang.Object caseXMLTableColumnDefinitionItem(XMLTableColumnDefinitionItem object)

  Returns the result of interpretting the object as an instance of 'XML Table Column Definition Item'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'XML Table Column Definition Item'.
  See Also:
    `doSwitch(EObject)`

### caseXMLTableColumnDefinitionRegular

    public java.lang.Object caseXMLTableColumnDefinitionRegular(XMLTableColumnDefinitionRegular object)

  Returns the result of interpretting the object as an instance of 'XML Table Column Definition Regular'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'XML Table Column Definition Regular'.
  See Also:
    `doSwitch(EObject)`

### caseXMLTableColumnDefinitionOrdinality

    public java.lang.Object caseXMLTableColumnDefinitionOrdinality(XMLTableColumnDefinitionOrdinality object)

  Returns the result of interpretting the object as an instance of 'XML Table Column Definition Ordinality'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'XML Table Column Definition Ordinality'.
  See Also:
    `doSwitch(EObject)`

### caseXMLValueFunctionValidateAccordingTo

    public java.lang.Object caseXMLValueFunctionValidateAccordingTo(XMLValueFunctionValidateAccordingTo object)

  Returns the result of interpretting the object as an instance of 'XML Value Function Validate According To'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'XML Value Function Validate According To'.
  See Also:
    `doSwitch(EObject)`

### caseXMLValueFunctionValidateAccordingToURI

    public java.lang.Object caseXMLValueFunctionValidateAccordingToURI(XMLValueFunctionValidateAccordingToURI object)

  Returns the result of interpretting the object as an instance of 'XML Value Function Validate According To URI'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'XML Value Function Validate According To URI'.
  See Also:
    `doSwitch(EObject)`

### caseXMLValueFunctionValidateAccordingToIdentifier

    public java.lang.Object caseXMLValueFunctionValidateAccordingToIdentifier(XMLValueFunctionValidateAccordingToIdentifier object)

  Returns the result of interpretting the object as an instance of 'XML Value Function Validate According To Identifier'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'XML Value Function Validate According To Identifier'.
  See Also:
    `doSwitch(EObject)`

### caseXMLValueFunctionValidateElementName

    public java.lang.Object caseXMLValueFunctionValidateElementName(XMLValueFunctionValidateElementName object)

  Returns the result of interpretting the object as an instance of 'XML Value Function Validate Element Name'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'XML Value Function Validate Element Name'.
  See Also:
    `doSwitch(EObject)`

### caseXMLValueFunctionValidateElementNamespace

    public java.lang.Object caseXMLValueFunctionValidateElementNamespace(XMLValueFunctionValidateElementNamespace object)

  Returns the result of interpretting the object as an instance of 'XML Value Function Validate Element Namespace'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'XML Value Function Validate Element Namespace'.
  See Also:
    `doSwitch(EObject)`

### caseXMLNamespacesDeclaration

    public java.lang.Object caseXMLNamespacesDeclaration(XMLNamespacesDeclaration object)

  Returns the result of interpretting the object as an instance of 'XML Namespaces Declaration'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'XML Namespaces Declaration'.
  See Also:
    `doSwitch(EObject)`

### caseXMLAttributesDeclaration

    public java.lang.Object caseXMLAttributesDeclaration(XMLAttributesDeclaration object)

  Returns the result of interpretting the object as an instance of 'XML Attributes Declaration'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'XML Attributes Declaration'.
  See Also:
    `doSwitch(EObject)`

### caseXMLValueFunctionElementContentList

    public java.lang.Object caseXMLValueFunctionElementContentList(XMLValueFunctionElementContentList object)

  Returns the result of interpretting the object as an instance of 'XML Value Function Element Content List'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'XML Value Function Element Content List'.
  See Also:
    `doSwitch(EObject)`

### caseXMLValueFunctionQueryReturning

    public java.lang.Object caseXMLValueFunctionQueryReturning(XMLValueFunctionQueryReturning object)

  Returns the result of interpretting the object as an instance of 'XML Value Function Query Returning'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'XML Value Function Query Returning'.
  See Also:
    `doSwitch(EObject)`

### caseXMLValueFunctionValidateElement

    public java.lang.Object caseXMLValueFunctionValidateElement(XMLValueFunctionValidateElement object)

  Returns the result of interpretting the object as an instance of 'XML Value Function Validate Element'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'XML Value Function Validate Element'.
  See Also:
    `doSwitch(EObject)`

### caseXMLTableColumnDefinitionDefault

    public java.lang.Object caseXMLTableColumnDefinitionDefault(XMLTableColumnDefinitionDefault object)

  Returns the result of interpretting the object as an instance of 'XML Table Column Definition Default'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'XML Table Column Definition Default'.
  See Also:
    `doSwitch(EObject)`

### caseXMLSerializeFunctionEncoding

    public java.lang.Object caseXMLSerializeFunctionEncoding(XMLSerializeFunctionEncoding object)

  Returns the result of interpretting the object as an instance of 'XML Serialize Function Encoding'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'XML Serialize Function Encoding'.
  See Also:
    `doSwitch(EObject)`

### caseEModelElement

    public java.lang.Object caseEModelElement(EModelElement object)

  Returns the result of interpretting the object as an instance of 'EModel Element'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'EModel Element'.
  See Also:
    `doSwitch(EObject)`

### caseENamedElement

    public java.lang.Object caseENamedElement(ENamedElement object)

  Returns the result of interpretting the object as an instance of 'ENamed Element'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'ENamed Element'.
  See Also:
    `doSwitch(EObject)`

### caseSQLObject

    public java.lang.Object caseSQLObject(SQLObject object)

  Returns the result of interpretting the object as an instance of 'SQL Object'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'SQL Object'.
  See Also:
    `doSwitch(EObject)`

### caseSQLQueryObject

    public java.lang.Object caseSQLQueryObject(SQLQueryObject object)

  Returns the result of interpretting the object as an instance of 'SQL Query Object'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'SQL Query Object'.
  See Also:
    `doSwitch(EObject)`

### caseValueExpression

    public java.lang.Object caseValueExpression(ValueExpression object)

  Returns the result of interpretting the object as an instance of 'Value Expression'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Value Expression'.
  See Also:
    `doSwitch(EObject)`

### caseQueryValueExpression

    public java.lang.Object caseQueryValueExpression(QueryValueExpression object)

  Returns the result of interpretting the object as an instance of 'Query Value Expression'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Query Value Expression'.
  See Also:
    `doSwitch(EObject)`

### caseValueExpressionAtomic

    public java.lang.Object caseValueExpressionAtomic(ValueExpressionAtomic object)

  Returns the result of interpretting the object as an instance of 'Value Expression Atomic'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Value Expression Atomic'.
  See Also:
    `doSwitch(EObject)`

### caseValueExpressionFunction

    public java.lang.Object caseValueExpressionFunction(ValueExpressionFunction object)

  Returns the result of interpretting the object as an instance of 'Value Expression Function'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Value Expression Function'.
  See Also:
    `doSwitch(EObject)`

### caseValueExpressionCast

    public java.lang.Object caseValueExpressionCast(ValueExpressionCast object)

  Returns the result of interpretting the object as an instance of 'Value Expression Cast'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Value Expression Cast'.
  See Also:
    `doSwitch(EObject)`

### caseSearchCondition

    public java.lang.Object caseSearchCondition(SearchCondition object)

  Returns the result of interpretting the object as an instance of 'Search Condition'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Search Condition'.
  See Also:
    `doSwitch(EObject)`

### caseQuerySearchCondition

    public java.lang.Object caseQuerySearchCondition(QuerySearchCondition object)

  Returns the result of interpretting the object as an instance of 'Query Search Condition'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Query Search Condition'.
  See Also:
    `doSwitch(EObject)`

### casePredicate

    public java.lang.Object casePredicate(Predicate object)

  Returns the result of interpretting the object as an instance of 'Predicate'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Predicate'.
  See Also:
    `doSwitch(EObject)`

### caseTableReference

    public java.lang.Object caseTableReference(TableReference object)

  Returns the result of interpretting the object as an instance of 'Table Reference'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Table Reference'.
  See Also:
    `doSwitch(EObject)`

### caseTableExpression

    public java.lang.Object caseTableExpression(TableExpression object)

  Returns the result of interpretting the object as an instance of 'Table Expression'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Table Expression'.
  See Also:
    `doSwitch(EObject)`

### caseTableFunction

    public java.lang.Object caseTableFunction(TableFunction object)

  Returns the result of interpretting the object as an instance of 'Table Function'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Table Function'.
  See Also:
    `doSwitch(EObject)`

### defaultCase

    public java.lang.Object defaultCase(EObject object)

  Returns the result of interpretting the object as an instance of 'EObject'. This implementation returns null; returning a non-null result will terminate the switch, but this is the last case anyway.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'EObject'.
  See Also:
    `#doSwitch(org.eclipse.emf.ecore.EObject)`

Copyright © 2006 -- 2008 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.